global:
  namespace: webservices-search
  tag: v2.0.0b2
  fileIndexer: true
  visibility: Internet
  persistentVolumeClaim:
    size: 120Gi

web:
  configMap:
    searchInstance: webservices
    searchInstancePrefix: cernsearch-
    defaultDocType: generic_website_v3.0.0
    defaultIndex: webservices-generic_website_v3.0.0
    searchMinScore: 0.3
    adminUIAccessList: search-admin,search.service@cern.ch
    processFileMeta: "True"
    authenticatedRateLimit: 20/second
    siteName: Webservices - CERN Search

  horizontalPodAutoscaler:
    minReplicas: 1
    maxReplicas: 2

worker:
  horizontalPodAutoscaler:
    minReplicas: 1
    maxReplicas: 2

  storage:
    class: cephfs

tika:
  horizontalPodAutoscaler:
    minReplicas: 1
    maxReplicas: 2

proxy:
  configMap:
    maxConnections: 20
